Download it now!
Bug 31774 - pasting from .csv: % interpreted as plain text
Summary: pasting from .csv: % interpreted as plain text
Status: RESOLVED NOTABUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 Beta3
Hardware: Other All
: medium normal
Assignee: Kohei Yoshida
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-19 11:49 UTC by Nicolò Chieffo
Modified: 2011-12-22 05:50 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
csv (8 bytes, application/vnd.ms-excel)
2010-11-19 11:49 UTC, Nicolò Chieffo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolò Chieffo 2010-11-19 11:49:10 UTC
Created attachment 40415 [details]
csv

1) Open the attached .csv file with libreoffice
2) select a cell and hit ctrl-c
3) open a new document and hit crtl-v
Notice that the cell is now text only, so I can't use it in mathematical operations.

NOTE: pasting the same value from microsoft excel to libreoffice works as expected!
Comment 1 Don't use this account, use tml@iki.fi 2010-11-23 04:28:34 UTC
Kohei?
Comment 2 Kohei Yoshida 2010-12-14 10:11:37 UTC
I bet that the "Detect special numbers" check box was off when you first opened the file into libreoffice.  Check that option in the import dialog, and try importing the same file again.  That should import the percentage values correctly.

Let me know how that goes.
Comment 3 Nicolò Chieffo 2010-12-15 01:35:50 UTC
Thank you for your tip. That was the problem.
Comment 4 Björn Michaelsen 2011-12-22 05:36:53 UTC
Remove infoprovider from closed and resolved bugs.
Comment 5 Björn Michaelsen 2011-12-22 05:50:56 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.